<mamecheat version="1">

  <cheat desc="Infinite Lives">
    <script state="run">
      <action>maincpu.pb@702A0=05</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@70800=01</action>
      <action>maincpu.pb@7080A=02</action>
      <action>maincpu.pb@70819=00</action>
    </script>
  </cheat>

  <cheat desc="Hit Anywhere"> <comment>Doesn't work against all enemies</comment>
    <script state="on">
      <action>temp0 =maincpu.pw@1F514</action>
      <action>temp1 =maincpu.pw@1F720</action>
    </script>
    <script state="run">
      <action>maincpu.pw@1F514=6020</action> <!-- This Program Code cheat was made by nolberto82 -->
      <action>maincpu.pw@1F720=601A</action>
    </script>
    <script state="off">
      <action>maincpu.pw@1F514=temp0 </action>
      <action>maincpu.pw@1F720=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Get Items from Anywhere">
    <script state="on">
      <action>temp0 =maincpu.pw@19444</action>
      <action>temp1 =maincpu.pw@19458</action>
    </script>
    <script state="run">
      <action>maincpu.pw@19444=4E71</action> <!-- This Program Code cheat was made by nolberto82 -->
      <action>maincpu.pw@19458=4E71</action>
    </script>
    <script state="off">
      <action>maincpu.pw@19444=temp0 </action>
      <action>maincpu.pw@19458=temp1 </action>
    </script>
  </cheat>

  <cheat desc="Select Constant Speedup Speed">
    <parameter>
      <item value="0x02">2</item>
      <item value="0x03">3</item>
      <item value="0x04">4</item>
      <item value="0x05">5</item>
      <item value="0x06">6=FULL</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@7080E=param</action>
    </script>
  </cheat>

  <cheat desc="Constant Missile">
    <script state="run">
      <action>maincpu.pb@70825=01</action>
    </script>
  </cheat>

  <cheat desc="Constant Double">
    <script state="run">
      <action>maincpu.pb@70827=01</action>
    </script>
  </cheat>

  <cheat desc="Constant Laser">
    <script state="run">
      <action>maincpu.pb@70827=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite 5 Coins">
    <script state="run">
      <action>maincpu.pb@702AC=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite 6 Coins">
    <script state="run">
      <action>maincpu.pb@702AC=06</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL2 Start]Next Code</comment>
    <script state="run">
      <action condition="(frame % 60 == 0)">maincpu.pb@705E3=FF</action>
    </script>
  </cheat>

  <cheat desc="WakeUp Music Timer Stop"> <comment>Start again after the use</comment>
    <script state="run">
      <action>maincpu.pb@1FF06=FF</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="255" step="1"/>
    <script state="change">
      <action>maincpu.pb@60240=param</action>
      <action>maincpu.pw@6001A=0241</action>
      <action>maincpu.pw@6001E=0240</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
